%define __os_install_post /usr/lib/rpm/brp-compress %{nil}

Name:           mingw64-headers
Version:        0.0.20090824.1
Release:        0
Summary:        MinGW Win64 headers

Group:          Development/Libraries
License:        Public Domain
URL:            http://www.mingw.org/

Source0:        http://dl.sourceforge.net/sourceforge/mingw-w64/mingw-w64-headers-%{version}.tar.bz2
Source1000:		%{name}-%{version}-rpmlintrc

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:	noarch
#!BuildIgnore: post-build-checks

BuildRequires:  mingw64-filesystem

%description
MinGW Win64 headers.


%prep
%setup -q -c

%build
rm -rf %{_mingw64_target}

# Setup sys-root.
mkdir -p %{_mingw64_target}/sys-root/mingw
cp -a mingw-w64-headers/include %{_mingw64_target}/sys-root/mingw
cp -a mingw-w64-headers/direct-x/include/* %{_mingw64_target}/sys-root/mingw/include/


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_prefix}
cp -a %{_mingw64_target} $RPM_BUILD_ROOT%{_prefix}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%dir %{_prefix}/x86_64-pc-mingw32
%{_prefix}/x86_64-pc-mingw32/sys-root


%changelog
